import { exec } from 'child_process';

export default (location: string, pattern?: string): Promise<string[]> => new Promise((resolve, reject) => {
  exec(`git ls-files ${pattern || ''}`, {
    cwd: location,
  }, (error, stdout) => {
    if (error) {
      reject(error);
    } else {
      resolve(stdout.split('\n'));
    }
  })
});