import File from '../File';
import { parse } from './parser';
import Todo from '.';

export default (file: File) => {
  const todos = file.indexes.map(index => {
    const line = file.lines[index];
    if (line.toLowerCase().includes('todo')) {
      const data = parse(line);
      return new Todo(data, index, file);
    }
  }).filter(i => !!i);
  return todos as Todo[];
}